digiKam Developer Documentation: Digikam::Template Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Digikam::Template Class Reference

## Public Member Functions
QStringList | authors () const
QString | authorsPosition () const
IptcCoreContactInfo | contactInfo () const
MetaEngine::AltLangMap | copyright () const
QString | credit () const
QString | instructions () const
QStringList | IptcSubjects () const
bool | isEmpty () const
| Return true if Template contents is empty.
bool | isNull () const
| Return true if Template title is null.
IptcCoreLocationInfo | locationInfo () const
void | merge (const Template &t)
| Merge the metadata from another Template.
bool | operator== (const Template &t) const
| Compare for metadata equality, not including "templateTitle" value.
MetaEngine::AltLangMap | rightUsageTerms () const
void | setAuthors (const QStringList &authors)
void | setAuthorsPosition (const QString &authorPosition)
void | setContactInfo (const IptcCoreContactInfo &inf)
void | setCopyright (const MetaEngine::AltLangMap &copyright)
void | setCredit (const QString &credit)
void | setInstructions (const QString &instructions)
void | setIptcSubjects (const QStringList &subjects)
void | setLocationInfo (const IptcCoreLocationInfo &inf)
void | setRightUsageTerms (const MetaEngine::AltLangMap &rightUsageTerms)
void | setSource (const QString &source)
void | setTemplateMerge (bool merge)
void | setTemplateTitle (const QString &title)
QString | source () const
bool | templateMerge () const
QString | templateTitle () const

## Static Public Member Functions
static QString | removeTemplateTitle ()

## Protected Attributes
QStringList | m_authors
| List of author names.
QString | m_authorsPosition
| Description of authors position.
IptcCoreContactInfo | m_contactInfo
| IPTC Contact Information.
MetaEngine::AltLangMap | m_copyright
| Language alternative copyright notices.
QString | m_credit
| Credit description.
QString | m_instructions
| Special instructions to process with contents.
IptcCoreLocationInfo | m_locationInfo
| IPTC Location Information.
MetaEngine::AltLangMap | m_rightUsageTerms
| Language alternative right term usages.
QString | m_source
| Descriptions of contents source.
QStringList | m_subjects
| IPTC Subjects Information.
bool | m_templateMerge = false
| Merge flag when applying the template.
QString | m_templateTitle
| Template title used internally.

## Member Data Documentation

## ◆ m_templateTitle

QString Digikam::Template::m_templateTitle
| protected

This value always exist and cannot be empty.